mscorlib 2.0.0.0 4.0.0.0 System.Enum

The enumeration is typically used in the structure, which is returned by the method to indicate which key on the console has been pressed.

Specifies the standard keys on a console.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The A key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Add key (the addition key on the numeric keypad).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Application key (Microsoft Natural Keyboard).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The ATTN key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The B key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The BACKSPACE key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Browser Back key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Browser Favorites key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Browser Forward key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Browser Home key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Browser Refresh key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Browser Search key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Browser Stop key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The C key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The CLEAR key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The CRSEL (CURSOR SELECT) key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The D key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 0 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 1 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 2 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 3 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 4 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 5 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 6 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 7 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 8 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 9 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Decimal key (the decimal key on the numeric keypad).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The DEL (DELETE) key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Divide key (the division key on the numeric keypad).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The DOWN ARROW key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The E key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The END key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The ENTER key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The ERASE EOF key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The ESC (ESCAPE) key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The EXECUTE key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The EXSEL (EXTEND SELECTION) key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F1 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F10 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F11 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F12 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F13 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F14 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F15 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F16 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F17 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F18 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F19 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F2 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F20 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F21 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F22 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F23 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F24 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F3 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F4 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F5 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F6 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F7 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F8 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The F9 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The G key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The H key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The HELP key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The HOME key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The I key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The INS (INSERT) key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The J key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The K key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The L key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Start Application 1 key (Microsoft Natural Keyboard, Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Start Application 2 key (Microsoft Natural Keyboard, Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Start Mail key (Microsoft Natural Keyboard, Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Select Media key (Microsoft Natural Keyboard, Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The LEFT ARROW key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The left Windows logo key (Microsoft Natural Keyboard).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The M key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Media Next Track key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Media Play/Pause key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Media Previous Track key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Media Stop key (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Multiply key (the multiplication key on the numeric keypad).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The N key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  A constant reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 0 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 1 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 2 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 3 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 4 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 5 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 6 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 7 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 8 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The 9 key on the numeric keypad.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The O key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 1 key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 102 key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 2 key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 3 key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 4 key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 5 (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 6 key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 7 key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM 8 key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The CLEAR key (OEM specific).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM Comma key on any country/region keyboard (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM Minus key on any country/region keyboard (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM Period key on any country/region keyboard (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The OEM Plus key on any country/region keyboard (Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The P key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The PA1 key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The PACKET key (used to pass Unicode characters with keystrokes).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The PAGE DOWN key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The PAGE UP key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The PAUSE key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The PLAY key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The PRINT key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The PRINT SCREEN key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The IME PROCESS key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Q key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The R key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The RIGHT ARROW key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The right Windows logo key (Microsoft Natural Keyboard).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The S key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The SELECT key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Separator key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Computer Sleep key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The SPACEBAR key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Subtract key (the subtraction key on the numeric keypad).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The T key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The TAB key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The U key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The UP ARROW key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The V key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Volume Down key (Microsoft Natural Keyboard, Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Volume Mute key (Microsoft Natural Keyboard, Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Volume Up key (Microsoft Natural Keyboard, Windows 2000 or later).

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The W key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The X key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Y key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The Z key.

- Field
  2.0.0.0
  4.0.0.0
  System.ConsoleKey

  The ZOOM key.